---
lang: en
title: 'API docs: authorization.authorize'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorize.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [authorize](./authorization.authorize.md)

## authorize namespace

**Signature:**

```typescript
export declare namespace authorize 
```

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[allow(roles)](./authorization.authorize.allow.md)


</td><td>

Shortcut to configure allowed roles


</td></tr>
<tr><td>

[allowAll()](./authorization.authorize.allowall.md)


</td><td>

Allows all


</td></tr>
<tr><td>

[allowAllExcept(roles)](./authorization.authorize.allowallexcept.md)


</td><td>

Allow all but the given roles


</td></tr>
<tr><td>

[allowAuthenticated()](./authorization.authorize.allowauthenticated.md)


</td><td>

Allow authenticated users


</td></tr>
<tr><td>

[deny(roles)](./authorization.authorize.deny.md)


</td><td>

Shortcut to configure denied roles


</td></tr>
<tr><td>

[denyAll()](./authorization.authorize.denyall.md)


</td><td>

Deny all


</td></tr>
<tr><td>

[denyAllExcept(roles)](./authorization.authorize.denyallexcept.md)


</td><td>

Deny all but the given roles


</td></tr>
<tr><td>

[denyUnauthenticated()](./authorization.authorize.denyunauthenticated.md)


</td><td>

Deny unauthenticated users


</td></tr>
<tr><td>

[scope(scopes)](./authorization.authorize.scope.md)


</td><td>

Shortcut to specify access scopes


</td></tr>
<tr><td>

[skip()](./authorization.authorize.skip.md)


</td><td>

Skip authorization


</td></tr>
<tr><td>

[vote(voters)](./authorization.authorize.vote.md)


</td><td>

Shortcut to configure voters


</td></tr>
</tbody></table>


